Devel03 Work Log

Bartch System:

  • Torque 2.3.6

Queues:

  • creamtest1
  • creamtest2

Work Nodes:

2011-03-25 (Ale)

  • Update kernel
  • Installed puppet

2011-01-25 (Ale)

  • Migration of the dteam VO from CERN to EGI VOMS following these instructions

2010-12-28 (Ale)

  • update:
     cleanup-grid-accounts   noarch     1.1.2-1          ETICS-name-patch_4543_1  5.8 k
     glite-CREAM             i386       3.1.27-2.slc4    ETICS-name-patch_4543_1  4.8 k
     glite-ce-blahp          i386       1.14.4-3.slc4    ETICS-name-patch_4543_1  1.2 M
     glite-ce-ce-plugin      noarch     1.12.2-1         ETICS-name-patch_4543_1   17 k
     glite-ce-cream          noarch     1.12.4-2         ETICS-name-patch_4543_1  5.2 M
     glite-ce-cream-utils    i386       1.0.2-1.slc4     ETICS-name-patch_4543_1   15 k
     glite-ce-job-plugin     noarch     1.12.2-1         ETICS-name-patch_4543_1   25 k
     glite-ce-monitor        noarch     1.12.3-1         ETICS-name-patch_4543_1  4.1 M
     glite-info-provider-release  noarch     1.0.2-1          ETICS-name-patch_4543_1  3.0 k
     glite-lb-common         i386       6.1.4-1.slc4     ETICS-name-patch_4543_1  655 k
     glite-lb-logger         i386       1.4.12-1.slc4    ETICS-name-patch_4543_1   47 k
     glite-security-trustmanager  noarch     2.5.5-3_GL31Special  ETICS-name-patch_4543_1  5.4 M
     glite-security-util-java  noarch     2.9.1-1          ETICS-name-patch_4543_1  337 k
     glite-security-voms-api-c  i386       1.9.10-12.slc4   ETICS-name-patch_4543_1  4.0 M
     glite-security-voms-api-cpp  i386       1.9.10-12.slc4   ETICS-name-patch_4543_1  4.8 M
     glite-security-voms-clients  i386       1.9.10-12.slc4   ETICS-name-patch_4543_1  862 k
     glite-version           noarch     3.1.2-1          ETICS-name-patch_4543_1  4.4 k
     glite-yaim-core         noarch     4.0.13-2         ETICS-name-patch_4543_1  124 k
     glite-yaim-cream-ce     noarch     4.1.1-5          ETICS-name-patch_4543_1   29 k
     gridsite-shared         i386       1.1.21-1.slc4    ETICS-name-patch_4543_1   76 k
  • Updating batch system:
     glite-TORQUE_server     i386       3.1.10-0         glite-TORQUE_server  2.8 k
     glite-TORQUE_utils      i386       3.1.13-0         glite-TORQUE_utils  3.1 k
     glite-yaim-torque-server  noarch     4.0.4-1          glite-TORQUE_server  5.3 k
     glite-yaim-torque-utils  noarch     4.0.4-1          glite-TORQUE_utils  7.2 k
     lcg-info-dynamic-pbs    noarch     1.0.13-1         glite-TORQUE_utils  3.4 k
     torque                  i386       2.3.6-1cri.slc4  glite-TORQUE_utils   92 k
     torque-client           i386       2.3.6-1cri.slc4  glite-TORQUE_utils  116 k
     torque-server           i386       2.3.6-1cri.slc4  glite-TORQUE_server  116 k
    Installing for dependencies:
     torque-devel            i386       2.3.6-1cri.slc4  glite-TORQUE_utils   99 k
     torque-docs             i386       2.3.6-1cri.slc4  glite-TORQUE_utils  458 k
     torque-drmaa            i386       2.3.6-1cri.slc4  glite-TORQUE_utils   41 k
     torque-drmaa-docs       i386       2.3.6-1cri.slc4  glite-TORQUE_utils  151 k

2009-10-13 (Ale)

  • Switch to PBS

2009-04-20 (Paolo)

  • Updating:
    glite-ce-blahp i386 1.12.3-6.slc4 Cream-PreCert
    glite-ce-cream noarch 1.11.1-6 Cream-PreCert
    glite-ce-job-plugin noarch 1.11.1-6 Cream-PreCert
    glite-ce-ce-plugin noarch 1.11.1-6 Cream-PreCert
    glite-ce-monitor noarch 1.11.1-6 Cream-PreCert
  • /opt/glite/yaim/bin/yaim -c -s ~/siteinfo/site-info.def -n creamCE -n LSF_utils
  • /opt/glite/yaim/bin/yaim -r -s ~/siteinfo/site-info.def -n creamCE -f config_cream_blparser

2009-04-06 (Paolo)

  • Updating:
    glite-ce-blahp i386 1.12.3-5.slc4 Cream-PreCert
    glite-ce-cream noarch 1.11.1-5 Cream-PreCert
    glite-ce-job-plugin noarch 1.11.1-5 Cream-PreCert
    glite-ce-ce-plugin noarch 1.11.1-5 Cream-PreCert
    glite-ce-monitor noarch 1.11.1-5 Cream-PreCert
    glite-yaim-cream-ce noarch 4.0.8.0 Cream-PreCert
    glite-info-provider-service noarch 1.1.2-0 Cream-PreCert
  • /opt/glite/yaim/bin/yaim -r -s ~/siteinfo/site-info.def -n creamCE -f config_cream_clean_users
  • /opt/glite/yaim/bin/yaim -c -s ~/siteinfo/site-info.def -n creamCE

2009-03-06 (Paolo)

  • Updating:
    glite-ce-blahp i386 1.10.12-0.slc4 Cream-PreCert
    glite-ce-cream noarch 1.10.7-0 Cream-PreCert
    glite-ce-job-plugin noarch 1.10.1-8 Cream-PreCert
    glite-ce-ce-plugin noarch 1.10.1-1 Cream-PreCert
    glite-ce-monitor noarch 1.10.1-1 Cream-PreCert
  • /opt/glite/yaim/bin/yaim -c -s ~/siteinfo/site-info.def -n creamCE -n LSF_utils
  • /opt/glite/yaim/bin/yaim -r -s ~/siteinfo/site-info.def -n creamCE

2009-02-18 (Ale)

  • Updating:
    glite-ce-blahp i386 1.10.11-0.slc4 Cream-PreCert
    glite-ce-cream noarch 1.10.6-0 Cream-PreCert
    glite-ce-job-plugin noarch 1.10.1-7 Cream-PreCert
  • /opt/glite/yaim/bin/yaim -c -s site-info.def -n creamCE -n LSF_utils

2009-01-27 (Elisabetta)

  • Updated to what is in the pre-certification repository:
    glite-ce-cream noarch 1.10.5-0 Cream-PreCert
    glite-ce-job-plugin noarch 1.10.1-6 Cream-PreCert
    glite-ce-blahp i386 1.10.10-0.slc4 Cream-PreCert
    glite-yaim-cream-ce noarch 4.0.7-3 Cream-PreCert
    glite-CREAM i386 3.1.7-0 Cream-PreCert

2009-01-26 (Elisabetta)

2008-12-03 (Paolo)

  • yum update glite-ce-blahp glite-ce-cream glite-ce-job-plugin
  • Updating:
    glite-ce-blahp i386 1.10.9-1.slc4 Cream-PreCert
    glite-ce-cream noarch 1.10.3-0 Cream-PreCert
    glite-ce-job-plugin noarch 1.10.1-4 Cream-PreCert
  • /opt/glite/yaim/bin/yaim -r -s /root/siteinfo/site-info.def -n creamCE -f config_cream_clean_users
  • /opt/glite/yaim/bin/yaim -c -s /root/siteinfo/site-info.def -n creamCE

2008-11-12 (Sara)

  • yum update
  • Updating:
Package Arch Version Repository
glite-yaim-cream-ce noarch 4.0.7-1 Cream-PreCert

  • yum install lcg-info-provider-software -y; yum install lcg-info-dynamic-software -y
  • /opt/glite/yaim/bin/yaim -c -s /root/siteinfo/site-info.def -n creamCE

2008-10-10 (Sara)

  • Updating:
    glite-ce-cream noarch 1.9.6-0 Cream-PreCert
    glite-ce-job-plugin noarch 1.9.0-6 Cream-PreCert
    glite-ce-monitor noarch 1.9.3-1 Cream-PreCert

2008-10-06 (Sara)

  • Updating:
    glite-ce-blahp i386 1.10.6-0.slc4 Cream-PreCert
    glite-ce-ce-plugin noarch 1.9.0-3 Cream-PreCert
    glite-ce-cream noarch 1.9.5-0 Cream-PreCert
    glite-ce-job-plugin noarch 1.9.0-5 Cream-PreCert
    glite-ce-monitor noarch 1.9.3-0 Cream-PreCert
    glite-yaim-cream-ce noarch 4.0.6-0 Cream-PreCert
  • yum clean all
  • yum update
  • /opt/glite/yaim/bin/yaim -c -s /root/siteinfo/site-info.def -n creamCE

2008-09-05 (Ale)

  • Updating:
    glite-ce-ce-plugin noarch 1.9.0-2 Cream-PreCert
    glite-ce-cream noarch 1.9.4-0 Cream-PreCert
    glite-ce-job-plugin noarch 1.9.0-4 Cream-PreCert
    glite-ce-monitor noarch 1.9.2-0 Cream-PreCert
    glite-yaim-cream-ce noarch 4.0.5-0 Cream-PreCert
    glite-security-glexec i386 0.5.33-1.slc4 lcg-CE
    glite-security-gsoap-plugin i386 1.5.3-1.slc4 lcg-CE
    vdt_globus_data_server i386 VDT1.6.1x86_rhas_4-7 lcg-CE
    vdt_globus_essentials 386 VDT1.6.1x86_rhas_4-7 lcg-CE
  • stopped tomcat and the blparser
  • yum clean all
  • yum update
  • Set CREAM_CE_STATE=CREAMPreCertTests in /opt/glite/yaim/defaults/glite-creamce.pre
  • /opt/glite/yaim/bin/yaim -c -s site-info.def -n creamCE
  • /opt/glite/yaim/bin/yaim -r -s site-info.def -n creamCE -f config_cream_blparser
  • service tomcat5 restart

  • Add this line to the /opt/glite/etc/blah.config file:

. /data/lsf/conf/profile.lsf

2008-07-14 (Elisabetta)

2008-06-09 (Ale)

  • After the "tomcat" update ( to version 5.5.26-1) we need a workaround to make it working:
    • cp /usr/share/java/commons-logging-1.1.jar /usr/share/tomcat5/bin/commons-logging-api-1.1.1.jar

2008-06-06 (Ale)

  • Updating
    glite-security-lcmaps-plugins-verify-proxy i386 1.2.9-1.slc4 patch1830

2008-06-05 (Ale)

2008-06-05 (Ale)

  • Updating:
    cert-glite-LSF_utils i386 3.1.4-0 Lcg-CE-cert
    glite-security-glexec i386 0.5.30-1.slc4 patch1732
    glite-yaim-core noarch 4.0.4-2 Lcg-CE-cert
    lcg-vomscerts noarch 5.0.0-1 Lcg-CE-cert

2008-05-30 (Ale)

  • Added testing VOs

2008-05-29 (Ale)

  • Update:
    glite-security-glexec i386 0.5.29-2.slc4 patch1732

20-08-05-28 (Ale)

  • Update:
    glite-security-voms-clients i386 1.8.3-4.slc4 patch1838

2008-05-26 (Ale)

  • Update:
    glite-ce-ce-plugin noarch 1.9.0-0 Cream-PreCert
    glite-ce-cream noarch 1.9.0-0 Cream-PreCert
    glite-ce-job-plugin noarch 1.9.0-0 Cream-PreCert
    glite-ce-monitor noarch 1.9.1-1 Cream-PreCert
    glite-security-glexec i386 0.5.27-2.slc4 patch1732
    glite-security-lcas i386 1.3.7-2.slc4 patch1830
    glite-security-lcas-interface i386 1.3.6-3.slc4 patch1830
    glite-security-lcas-lcmaps-gt4-interface i386 0.0.14-2.slc4 patch1830
    glite-security-lcas-plugins-basic i386 1.3.2-3.slc4 patch1830
    glite-security-lcas-plugins-check-executable i386 1.2.1-3.slc4 patch1830
    glite-security-lcas-plugins-voms i386 1.3.4-5.slc4 patch1830
    glite-security-lcmaps i386 1.4.3-4.slc4 patch1830
    glite-security-lcmaps-plugins-basic i386 1.3.8-2.slc4 patch1830
    glite-security-lcmaps-plugins-verify-proxy i386 1.2.8-4.slc4 patch1830
    glite-security-lcmaps-plugins-voms i386 1.3.7-5.slc4 patch1830
    glite-security-voms-api-c i386 1.8.3-4.slc4 patch1838
    glite-security-voms-api-cpp i386 1.8.3-4.slc4 patch1838

2008-05-21 (Ale)

  • Problem:

Job fails with error: BLAH error: + submission command failed (exit code = 1) N/A (jobId = CREAM....)

In the catalina.out log it is written this error message: ls_initdebug: Unable to open file lsf.conf

  • Solution:

Add this line to the /opt/glite/etc/blah.config file:

. /data/lsf/conf/profile.lsf

2008-05-20 (Ale)

  • Updated to the latest CREAM patch delivered to SA3 (#1755)
cert-glite-cream-CE i386 3.1.0-14 cert-glite-cream-CE
glite-apel-core noarch 2.0.9-8 Lcg-CE-cert
glite-apel-lsf noarch 2.0.8-4 Lcg-CE-cert
glite-apel-pbs noarch 2.0.5-2 Lcg-CE-cert
glite-apel-publisher noarch 2.0.9-4 Lcg-CE-cert
glite-apel-sge noarch 2.0.6-2 Lcg-CE-cert
glite-ce-blahp i386 1.10.3-0.slc4 cert-glite-cream-CE
glite-ce-ce-plugin noarch 1.8.1-1 cert-glite-cream-CE
glite-ce-cream noarch 1.8.4-0 cert-glite-cream-CE
glite-ce-job-plugin noarch 1.8.2-1 cert-glite-cream-CE
glite-ce-monitor noarch 1.8.2-0 cert-glite-cream-CE
glite-lb-client i386 3.1.5-1.slc4 Lcg-CE-cert
glite-security-trustmanager noarch 1.8.16-1 Lcg-CE-cert
glite-security-voms-api-c i386 1.8.3-3.slc4 Lcg-CE-cert
glite-security-voms-api-cpp i386 1.8.3-3.slc4 Lcg-CE-cert
glite-security-voms-clients i386 1.8.3-3.slc4 Lcg-CE-cert
lcg-vomscerts noarch 4.9.0-1 Lcg-CE-cert
  • Installing for dependencies:
glite-security-lcas-plugins-voms i386 1.3.4-3.slc4 Lcg-CE-cert
glite-security-lcmaps i386 1.4.2-1.slc4 Lcg-CE-cert
glite-security-lcmaps-plugins-voms i386 1.3.7-3.slc4 Lcg-CE-cert

  • Run '/opt/glite/yaim/bin/yaim -c -s site-info.def -n creamCE'

2008-04-16 (Elisabetta)

2008-01-23 (Elisabetta)

  • Updated to last version of Cream following instructions at http://igrelease.forge.cnaf.infn.it/doku.php?id=doc:guides:install-cream31-devel and performing the following additional operations:
    • removed the following .rpms 'glite-security-lcmaps glite-security-lcmaps-interface glite-security-lcas glite-security-lcas-interface glite-security-lcmaps-plugins-voms glite-security-lcas-plugins-voms glite-security-glexec' before running 'yum update'
    • installed the following lsf plugin: cert-glite-LSF_utils-3.1.0-2.noarch.rpm, glite-yaim-lsf-utils-4.0.1-1.noarch.rpm, glite-apel-core-2.0.9-7.noarch.rpm and glite-apel-lsf-2.0.8-2.noarch.rpm Downloaded them from the repo http://grid-deployment.web.cern.ch/grid-deployment/glite/cert/3.1/patches/1571/sl4/i386/RPMS.1571/
    • had to add the following variables ACCESS_BY_DOMAIN=false, CEMON_HOST=devel03.cnaf.infn.it, CE_PHYSCPU=1 and CE_LOGCPU=1 to the site-info.def, otherwise the command
'/opt/glite/yaim/bin/yaim -c -s site-info.def -n creamCE -n glite-LSF_utils' would not work

2007-11-16 (Elisabetta)

  • Changed the value 'GlueCEStateStatus' from 'Production' to 'CREAM' by doing the following:
    • sed -i 's/Production/CREAM/' /opt/glite/libexec/glite-info-dynamic-lsf

2007-11-13 (Ale)

  • To fix problem with the GIP use this rpm: perl-LDAP-0.31-5

2007-11-07 (Ale)

  • Continuos the cream installation...
    • Remove the previous installed version of java and install java-1.5.0-sun-1.5.0.12-1jpp, java-1.5.0-sun-devel-1.5.0.12-1jpp and jdk-1.5.0_12-fcs
    • Install tomcat5-5.5.25-1jpp
    • Comment line config_jobmanager_lsf on /opt/glite/yaim/node-info.d/glite-lsf_utils
    • run /opt/glite/yaim/bin/yaim -c -s <site-info.def> -n creamCE -n LSF_utils
    • Fix problem with .pem certificate
  • Open issue:
    • Gip doesn't work correctly.

2007-11-06 (Elisabetta)

  • Installed and configured CREAM from scratch using the new repository from CERN and yaim scripts. The following steps were performed:
    • wget http://grid-it.cnaf.infn.it/mrepo/repos/cream-ce_cert.repo -O /etc/yum.repos.d/cream-ce.repo
    • yum clean all
    • yum update
    • yum install glite-yaim-core glite-yaim-cream-ce
    • Edited site-info.def, also adding the variables: BATCH_CONF_DIR = /data/lsf/conf and BDII_CREAM_CE_URL = "ldap://$CE_HOST:2170/mds-vo-name=resource,o=grid"
    • Downloaded and installed jdk-1_5_0_13-linux-i586-rpm by hand
    • run yum install cert-glite-cream-CE
    • downloaded and installed glite-yaim-lsf-utils-4.0.1-1.noarch.rpm
    • run /opt/glite/yaim/bin/yaim -c -s <site-info.def> -n creamCE -n LSF_utils

2007-10-15 (Elisabetta)

  • Submitted jobs with the requirements to forward in the .jdl, like for ex. requirements = (( other.GlueHostMainMemoryRAMSize > 300 ) && ( other.GlueHostMainMemoryVirtualSize = 996 ) && ( other.GlueCEPolicyMaxCPUTime > 2880 )); but they don't get forwarded to lsf, mainly because they don't appear in the classad passed to blah.
Following is the submitted .jdl:
[
Type = "Job";
JobType = "normal";
InputSandbox = {"file:///home/emolinar/test.sh"};
VirtualOrganisation = "atlas";
Executable="test.sh";
Arguments="Hello... ";
requirements = (( other.GlueHostMainMemoryRAMSize > 300 ) && ( other.GlueHostMainMemoryVirtualSize == 996 ) && ( other.GlueCEPolicyMaxCPUTime >= 2880 ));
Rank = other.GlueCEStateWaitingJobs;
rank = 3;
ShallowRetryCount = 3;
StdOutput="message.txt";
StdError="err.log";
OutputSandbox={"message.txt","err.log"};
]

Following is what appears in the '/usr/share/tomcat5/logs/glite-ce-cream.log' file:

16 Oct 2007 11:48:47,636 org.glite.ce.cream.connector.blah.StreamBlahpConnector - BLAH_JOB_SUBMIT 4 [Cmd="/opt/glite/var/cream_sandbox/dteam/C_IT_O_INFN_OU_Personal_Certificate_L_Milano_CN_Elisabetta_Molinari_dteam_Role_NULL_Capability_NULL/CREAM266115941/CREAM266115941_jobWrapper.sh";
gridType="lsf";uniquejobid="https://devel03.cnaf.infn.it:8443/CREAM266115941";ceid="devel03.cnaf.infn.it:8443/cream-lsf-long";
Out="/opt/glite/var/cream_sandbox/dteam/C_IT_O_INFN_OU_Personal_Certificate_L_Milano_CN_Elisabetta_Molinari_dteam_Role_NULL_Capability_NULL/CREAM266115941/StandardOutput";
Err="/opt/glite/var/cream_sandbox/dteam/C_IT_O_INFN_OU_Personal_Certificate_L_Milano_CN_Elisabetta_Molinari_dteam_Role_NULL_Capability_NULL/CREAM266115941/StandardError";
x509userproxy="/opt/glite/var/cream_sandbox/dteam/C_IT_O_INFN_OU_Personal_Certificate_L_Milano_CN_Elisabetta_Molinari_dteam_Role_NULL_Capability_NULL/CREAM266115941/CREAM266115941_proxy";
ClientJobId="266115941";queue="long"] 

2007-10-11 (Elisabetta)

  • Installed the following three .rpms in order to verify the forward parameters to the batch system by BLAH works also with CREAM: glite-blah-local-submit-attributes-lsf-3.0.10-2.noarch.rpm, glite-info-dynamic-scheduler-lsf-2.0.1-2.noarch.rpm and glite-info-generic-2.0.2-2.noarch.rpm

-- AlessioGianelle - 11 Oct 2007

Edit | Attach | PDF | History: r39 < r38 < r37 < r36 < r35 | Backlinks | Raw View | More topic actions
Topic revision: r39 - 2011-03-25 - AlessioGianelle
 
This site is powered by the TWiki collaboration platformCopyright © 2008-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback